{ pkgs, config, lib, ... }:

with lib;
let
  cfg = config.modules.hardware.pointer;
in {
  options.modules.hardware.pointer = {
    enable = mkEnableOption "Enable libinput tuning";
  };

  config = mkIf cfg.enable {
    services.libinput = {
      enable = true;
      mouse = {
        accelProfile = "flat"; # gameing

        disableWhileTyping = false;
        middleEmulation = false;
      };
      touchpad = {
        accelProfile = "adaptive"; # not gameing
        scrollMethod = "twofinger";
        sendEventsMode = "disabled-on-external-mouse";
        naturalScrolling = true;
        tapping = true;
        tappingDragLock = false;

        disableWhileTyping = false;
        middleEmulation = false;
      };
    };
  };
}
